"{ Package: 'stx:goodies/monticello' }"

MCPackageLoader subclass:#MCMultiPackageLoader
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Monticello-Loading'
!

MCMultiPackageLoader comment:'A PackageLoader doing some additional cross-package checks'
!


!MCMultiPackageLoader methodsFor:'private'!

analyze
	| index |
	index := MCDefinitionIndex definitions: additions.
	removals removeAllSuchThat: [:removal |
		(index definitionLike: removal
			ifPresent: [:addition | obsoletions at: addition put: removal]
			ifAbsent: []) notNil].
	super analyze
! !

!MCMultiPackageLoader class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/goodies/monticello/MCMultiPackageLoader.st,v 1.1 2011-08-20 11:43:06 cg Exp $'
!

version_CVS
    ^ '$Header: /cvs/stx/stx/goodies/monticello/MCMultiPackageLoader.st,v 1.1 2011-08-20 11:43:06 cg Exp $'
!

version_SVN
    ^ 'Id: MCMultiPackageLoader.st 29 2011-03-14 12:24:51Z vranyj1 '
! !
